librevenge::AllocTable Class Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
librevenge::AllocTable Class Reference

## Public Member Functions
| AllocTable ()
void | clear ()
unsigned long | count () const
void | resize (unsigned long newsize)
void | set (unsigned long index, unsigned long val)
std::vector< unsigned long > | follow (unsigned long start) const
unsigned long | operator[] (unsigned long index) const
void | load (const unsigned char *buffer, unsigned len)
void | setChain (std::vector< unsigned long > chain, unsigned end)
void | save (unsigned char *buffer) const
unsigned | saveSize () const

## Public Attributes
unsigned | m_blockSize

## Private Member Functions
| AllocTable (const AllocTable &)
AllocTable & | operator= (const AllocTable &)

## Private Attributes
std::vector< unsigned long > | m_data

## Constructor & Destructor Documentation

## ◆ AllocTable() [1/2]

librevenge::AllocTable::AllocTable | ( |  | ) |
| inline

## ◆ AllocTable() [2/2]

librevenge::AllocTable::AllocTable | ( | const AllocTable & |  | ) |
| private

## Member Function Documentation

## ◆ clear()

void librevenge::AllocTable::clear | ( |  | ) |

## ◆ count()

unsigned long librevenge::AllocTable::count | ( |  | ) | const
| inline

## ◆ follow()

std::vector< unsigned long > librevenge::AllocTable::follow | ( | unsigned long | start | ) | const

Referenced by librevenge::IStream::IStream(), and librevenge::IStorage::load().

## ◆ load()

void librevenge::AllocTable::load | ( | const unsigned char * | buffer,
|  | unsigned | len
| ) |  |
| inline

Referenced by librevenge::IStorage::load().

## ◆ operator=()

AllocTable& librevenge::AllocTable::operator= | ( | const AllocTable & |  | ) |
| private

## ◆ operator[]()

unsigned long librevenge::AllocTable::operator[] | ( | unsigned long | index | ) | const
| inline

## ◆ resize()

void librevenge::AllocTable::resize | ( | unsigned long | newsize | ) |
| inline

## ◆ save()

void librevenge::AllocTable::save | ( | unsigned char * | buffer | ) | const
| inline

Referenced by librevenge::OStorage::updateToSave().

## ◆ saveSize()

unsigned librevenge::AllocTable::saveSize | ( |  | ) | const
| inline

Referenced by librevenge::OStorage::updateToSave().

## ◆ set()

void librevenge::AllocTable::set | ( | unsigned long | index,
|  | unsigned long | val
| ) |  |
| inline

Referenced by librevenge::OStorage::updateToSave().

## ◆ setChain()

void librevenge::AllocTable::setChain | ( | std::vector< unsigned long > | chain,
|  | unsigned | end
| ) |  |

Referenced by librevenge::OStorage::insertData(), and librevenge::OStorage::updateToSave().

## Member Data Documentation

## ◆ m_blockSize

unsigned librevenge::AllocTable::m_blockSize

Referenced by librevenge::IStorage::IStorage(), librevenge::IStream::IStream(), librevenge::IStorage::load(), librevenge::IStorage::loadBigBlocks(), librevenge::IStorage::loadSmallBlocks(), and librevenge::IStream::readUsingStorage().

## ◆ m_data

std::vector<unsigned long> librevenge::AllocTable::m_data
| private

The documentation for this class was generated from the following file:

- RVNGOLEStream.cpp